/*
 * Copyright 2011 The Kuali Foundation
 *
 * Licensed under the Educational Community License, Version 1.0 (the
 * "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at
 *
 * http://www.opensource.org/licenses/ecl1.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.student.r2.common.util.constants;

import org.kuali.rice.kim.api.identity.CodedAttribute;

/**
 * Constants used by for Rice's Kim Identity Service
 *
 * @author nwright
 */
public class KimIdentityServiceConstants {

    /**
     * Entity Type keys
     */
    public static final String PERSON_ENTITY_TYPE_KEY = "PERSON";
    public static final String SYSTEM_ENTITY_TYPE_KEY = "SYSTEM";
    /**
     * Affiliation Type Keys
     */
    public static final String STUDENT_AFFILIATION_TYPE_KEY = "STDNT";
    public static final String FACULTY_AFFILIATION_TYPE_KEY = "FCLTY";
    public static final String STAFF_AFFILIATION_TYPE_KEY = "STAFF";
    public static final String AFFILIATE_AFFILIATION_TYPE_KEY = "AFLT";
    /**
     * Name Type Keys
     */
    public static final String PRIMARY_NAME_TYPE_KEY = "PRM";
    public static final String PREFERRED_NAME_TYPE_KEY = "PRFR";
    public static final String OTHER_NAME_TYPE_KEY = "OTH";
    public static final CodedAttribute.Builder PREFERRED_NAME_CODED_ATTRIBUTE = CodedAttribute.Builder.create(PREFERRED_NAME_TYPE_KEY);
    /**
     * External Identifier Type Keys
     */
    public static final String TAX_ID_TYPE_KEY = "TAX";
    /**
     * Address type keys
     */
    public static final String WORK_ADDRESS_TYPE_KEY = "WORK";
    public static final String HOME_ADDRESS_TYPE_KEY = "HM";
    public static final String OTHER_ADDRESS_TYPE_KEY = "OTH";
    /**
     * Email Address type keys
     */
    public static final String WORK_EMAIL_ADDRESS_TYPE_KEY = "WORK";
    public static final String HOME_EMAIL_ADDRESS_TYPE_KEY = "HM";
    public static final String OTHER_EMAIL_ADDRESS_TYPE_KEY = "OTH";
    /**
     * Email Address type keys
     */
    public static final String WORK_PHONE_TYPE_KEY = "WORK";
    public static final String HOME_PHONE_TYPE_KEY = "HM";
    public static final String MOBILE_PHONE_TYPE_KEY = "MBL";
    public static final String OTHER_PHONE_TYPE_KEY = "OTH";
    /**
     * Employee status type key
     */
    public static final String ACTIVE_EMPLOYEE_STATUS_TYPE_KEY = "A";
    public static final String PROCESSING_EMPLOYEE_STATUS_TYPE_KEY = "P";
    public static final String STATUS_NOT_YET_PROCESSED_EMPLOYEE_STATUS_TYPE_KEY = "N";
    public static final String ON_NON_PAY_LEAVE_EMPLOYEE_STATUS_TYPE_KEY = "L";
    public static final String RETIRED_EMPLOYEE_STATUS_TYPE_KEY = "R";
    public static final String DECEASED_EMPLOYEE_STATUS_TYPE_KEY = "D";
    public static final String TERMINATED_EMPLOYEE_STATUS_TYPE_KEY = "T";
    /**
     * Employee type type key
     */
    public static final String PROFESSIONAL_EMPLOYEE_TYPE_TYPE_KEY = "P";
    public static final String NON_PROFESSIONAL_EMPLOYEE_TYPE_TYPE_KEY = "N";
    public static final String OTHER_EMPLOYEE_TYPE_TYPE_KEY = "O";
}
